Subject: Re: [Anima] FW: New Version Notification for draft-behringer-anima-reference-model-00.txt

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Fri, 24 Apr 2015 16:24:12 +0000

Jonathan,

Thanks for your comments. In the new version, your comments are addressed as mentioned inline...

From: Jonathan Hansford [mailto:[email-masked]]
Sent: 08 December 2014 11:14
To: Michael Behringer (mbehring); [email-masked]
Subject: RE: [Anima] FW: New Version Notification for draft-behringer-anima-reference-model-00.txt

Hi,

I know you are looking for high level comments, but I'm just getting my head round the goals of anima and have some low level editorial comments. Hope you don't mind:

*         Section 2, MASA:

o   Is MASA an acronym? I assume the ASA stands for Autonomic Service Agent, but I could be wrong.

*         s/The MASA is service/The MASA is a service

MB: fixed, and acronym expanded.

*         Section 3: I just don't understand the 2nd sentence. Is it trying to say that section 2 describes the "boxes"? If so, wouldn't it be better to say 'Section 2, The Network View, describes the "boxes".'? Or are you trying to say section 3 describes the boxes identified in section 2? Is the intent to have a diagram in section 2 that has boxes, lines and arrows (see section 7)?

MB: Agree, confusing, and doesn't add much. I simply removed it.

*         Section 3.1:

*         This states there are two levels inside an autonomic node but then only appears to mention one: 'the level of autonomic service agents'. Is the other level the autonomic networking infrastructure? If so, perhaps it could say 'Fundamentally, there are two levels inside an autonomic node: that of the autonomic service agents and that of the autonomic networking infrastructure, with the former using the functions of the latter.'

MB: Done.

*         Though "Intent" is capitalised in this section, it isn't anywhere else (figure 1 and section 7.3). I presume in each case this is a reference to Intent as defined in draft-irtf-nmrg-autonomic-network-definitions, in which case drawing the definition through and capitalising throughout might be a good idea.

MB: Thanks for calling this out. We decided to capitalise Intent, to distinguish it from the "normal" word. Fixed now.

*         Section 7:

o   Again, a confusing reference to section 2.

*         Do you mean the "summary" of autonomic interactions forms the ACP? Summary doesn't feel like the right word. Might "totality" be better?

MB: Good suggestion, adopted!

*         Section 7.1:

*         You identify information as being provided through configuration or northbound interfaces and indicate autonomic functions should only minimally rely on the interfaces. Does that imply a greater reliance on configuration, or should it minimally rely on both configuration and the interfaces?

MB: Addressed through new text by Brian.

o   s/neigbhour/neighbour

*         Section 9.1: s/in theory by attempted/in theory be attempted

MB: Both fixed. See next version, shortly.

Thanks for your feedback!

Michael

Jonathan

> -----Original Message-----

> From: Anima [mailto:[email-masked]] On Behalf Of Michael

> Behringer (mbehring)

> Sent: 17 October 2014 13:32

> To: [email-masked]<mailto:[email-masked]>

> Subject: [Anima] FW: New Version Notification for draft-behringer-anima-

> reference-model-00.txt

> Here the first version of the reference draft. The sections need a lot more

> work, but the structure should be a good starting point. Before diving into

> the details (where we'll have no doubt lots of detailed comments), I'd like to

> ask specifically about high level comments regarding structure, what is

> missing, etc.

> Michael

> > -----Original Message-----

> > From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

> > Sent: 17 October 2014 14:30

> > To: Michael Behringer (mbehring); Brian E. Carpenter; Michael

> > Behringer (mbehring); Toerless Eckert (eckert); Brian Carpenter;

> > Toerless Eckert

> > (eckert)

> > Subject: New Version Notification for draft-behringer-anima-reference-

> > model-00.txt

> > A new version of I-D, draft-behringer-anima-reference-model-00.txt

> > has been successfully submitted by Michael H. Behringer and posted to

> > the IETF repository.

> > Name:                           draft-behringer-anima-reference-model

> > Revision:      00

> > Title:                               A Reference Model for Autonomic Networking

> > Document date:        2014-10-17

> > Group:                          Individual Submission

> > Pages:                           9

> > URL:            http://www.ietf.org/internet-drafts/draft-behringer-anima-

> > reference-model-00.txt

> > Status:         https://datatracker.ietf.org/doc/draft-behringer-anima-

> > reference-model/

> > Htmlized:       http://tools.ietf.org/html/draft-behringer-anima-reference-

> > model-00

> > Abstract:

> >    This document describes a reference model for Autonomic Networking.

> >    The goal is to define how the various elements in an autonomic

> >    context work together, to describe their interfaces and relations.

> > Please note that it may take a couple of minutes from the time of

> > submission until the htmlized version and diff are available at tools.ietf.org.

> > The IETF Secretariat

> _______________________________________________

> Anima mailing list

> [email-masked]<mailto:[email-masked]>

> https://www.ietf.org/mailman/listinfo/anima